%def_without static

Name: XmHTML
Version: 1.1.7
Release: alt8

Summary: Motif HTML widget
License: LGPL
Group: System/Libraries
Url: http://www.xs4all.nl/~ripley/XmHTML
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: %url/dist/%name-%version.tar.bz2
Patch0: %name-pld-am.patch
Patch1: %name-pld-macro.patch
Patch2: %name-alt-snd.patch

%define _libdir %_x11libdir
%define _includedir %_x11includedir

BuildPreReq: libtool_1.4
BuildPreReq: autoconf_2.13
BuildPreReq: automake_1.4

# Automatically added by buildreq on Thu Dec 04 2003
BuildRequires: XFree86-devel-static glibc-devel-static libjpeg-devel libpng-devel openmotif-devel xpm-devel zlib-devel

%description
XmHTML provides a widget capable of displaying HTML 3.2 conforming text.

%package -n lib%name
Summary: Motif HTML widget library
Group: System/Libraries

%description -n lib%name
XmHTML library provides a Motif widget capable of displaying HTML 3.2
conforming text.

%package -n lib%name-devel
Summary: Development package of XmHTML
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
Headers needed to compile XmHTML programs.

%package -n lib%name-devel-static
Summary: Static version of XmHTML library
Group: Development/C
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
Static version of XmHTML library.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%set_libtool_version 1.4
%set_automake_version 1.4
%set_autoconf_version 2.13

# Argh! automake stuff outdated, imake stuff outdated even more,
# makefiles not outdated but don't support shared libraries :/
# Use automake with some patches/workarounds/etc

pushd lib
%__mv -f {common,Motif}/*.c .
popd

%__libtoolize --copy --force
%__aclocal
%__autoconf
%__automake -a -c
CFLAGS="%{?debug:-O0 -g}%{!?debug:$RPM_OPT_FLAGS} \
	-I`pwd`/include/XmHTML -I`pwd`/include/common \
	%{!?debug:-DNDEBUG -Dproduction} -DVERSION=1107"
%configure
%make IMAGEINC="" -C lib

%install
%__install -d %buildroot%_includedir/XmHTML
%make DESTDIR=%buildroot -C lib install

%__install -m644 include/XmHTML/{Balloon,HTML,HTMLStrings,XCC,XmHTML}.h \
	include/common/LZWStream.h \
	%buildroot%_includedir/XmHTML

%__rm -f html/man/man.{map,tmpl}

%__gzip -9nf APPS BUG-REPORTING CHANGES DEBUGGING FEEDBACK FIXES \
	README THANKS TODO docs/{QUOTES,README.*,REASONS,progressive.txt}

# remove non-packaged files
%__rm -f %buildroot%_libdir/*.la
%if_without static
%__rm -f %buildroot%_libdir/*.a
%endif

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -n lib%name
%_libdir/*.so.*
%doc *.gz docs/*.gz

%files -n lib%name-devel
%doc html/*
%_libdir/*.so
%_includedir/XmHTML

%if_with static
%files -n lib%name-devel-static
%_libdir/*.a
%endif

%changelog
* Thu Dec 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.1.7-alt8
- do not package .la files.
- devel-static subpackage is optional. 

* Thu Sep 11 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.1.7-alt7
- use libtool_1.4 to build.

* Tue Oct 08 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.1.7-alt6
- rebuild with gcc-3.2

* Sat Apr 13 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.1.7-alt5
- install section fixed
- fixed filelist.

* Fri Apr 12 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.1.7-alt4
- Rebuilt with openmotif-2.2.2.

* Thu Feb 28 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.1.7-alt3
- %name-snd-patch.

* Mon Feb 11 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.1.7-alt2
- cleanups

* Sat Nov 17 2001 Yuri N. Sedunov <aris@altlinux.ru> 1.1.7-alt1
- Remake PLD package XmHTML-1.1.7-1.src.rpm and first build for Sisyphus.
